Linux Mint / LinuxCNC 2.8.0 freezing - SOLVED?

More
30 Sep 2021 12:56 #221891 by tommylight
packages.debian.org/bullseye/amd64/linux...-8-rt-amd64/download
Try that, be aware that it might mess up stuff. It usually warns before doing so ...

Please Log in or Create an account to join the conversation.

More
30 Sep 2021 13:15 - 30 Sep 2021 13:17 #221894 by Muzzer
Presumably 
www.omgubuntu.co.uk/2020/12/new-linux-5-10-kernel-features
and
www.kernel.org/

5.10.70 seems to be current "longterm" version. I'll steer away from versions 13-15...

Your link looks quite user friendly!
Last edit: 30 Sep 2021 13:17 by Muzzer.

Please Log in or Create an account to join the conversation.

More
30 Sep 2021 13:25 #221896 by Muzzer
The description says "Download Page for linux-image-5.10.0-8-rt-amd64_5.10.46-4_amd64.deb on AMD64 machines". Is it also OK for 64 bit Intel machines? Not sure why they do this.

Please Log in or Create an account to join the conversation.

More
30 Sep 2021 14:52 #221903 by tommylight
Amd64 is for Intel and AMD 64 bit.

Please Log in or Create an account to join the conversation.

More
01 Oct 2021 12:44 #221947 by Muzzer
5.10 is installed and seems to be stable so far although it's early days yet...

Please Log in or Create an account to join the conversation.

More
27 Oct 2021 06:31 #224477 by Diederik
I've been having the same freezing problems... Thanks for sharing... I'm going to give it a shot. Is your machine still stable?

Please Log in or Create an account to join the conversation.

More
30 Oct 2021 10:42 #224712 by Muzzer
Yes, it's been running for several weeks now without a problem. I rebooted last weekend but apart from that it's been running uninterrupted without locking up. I'm reasonably confident now, so am happy to consider it fixed for the time being.

I looked at updating to 2.9 in order to implement some of the alternative GUIs (Probe Basic etc) but it seems that recent changes to Python will require further work on them and the process of installing 2.9 seems to be taking some effort. Not being a sufficiently capable Linux / LCNC user, I'm going to stick with 2.8 and Axis for my lathe system for now.
So I have Mint 20.2 Cinnamon, Linux kernel 5.10.0-8-rt-amd64, LinuxCNC 2.8.2-47 and Axis Lathe with Andy Pugh's macros. System info attached FYI:
 

File Attachment:

File Name: 2021-10-30...info.txt
File Size:4 KB
Attachments:

Please Log in or Create an account to join the conversation.

Time to create page: 0.073 seconds
Powered by Kunena Forum